Package org.kapott.hbci.tools

## Class ShowLowlevelGVRs

- java.lang.Object
- - org.kapott.hbci.tools.AbstractShowLowlevelData
  - - org.kapott.hbci.tools.ShowLowlevelGVRs

    public class ShowLowlevelGVRs
    extends AbstractShowLowlevelData

Dieses Tool dient zum Anzeigen der Struktur von HBCI-Job-Ergebnisdaten im Rohformat. Diese Struktur wird benötigt, wenn Job-Ergebnisdaten nicht über die Methoden und Felder der entsprechenden Highlevel-Klassen ausgewertet werden sollen (Klassen `org.kapott.hbci.GV_Result.GVR*`), sondern wenn die Daten benutzt werden, die durch `HBCIJobResult.getResultData()` zurückgegeben werden.

In diesem Property-Objekt werden die Job-Ergebnisdaten nämlich nach der HBCI4Java-internen Struktur benannt. Um nun die Bezeichnungen für die einzelnen Datenelemente zu erfahren, kann dieses Tool benutzt werden.

Der Aufruf erfolgt durch

    java org.kapott.hbci.tools.ShowLowlevelGVRs [hbciversion]

Ist keine `hbciversion` angegeben, so wird diese über STDIN erfragt.

Das Tool gibt eine baumartige Struktur aus, welche die Lowlevelnamen der Geschäftsvorfälle (plus dem zusätzlichen Suffix "`Res`") sowie die Bezeichnungen für die dazugehörigen Datenfelder enthält. Eine Erklärung der Ausgaben im Detail ist in der Dokumentation zum Tool `ShowLowlevelGVs` enthalten.

Innerhalb einer Anwendung kann mit der Methode `HBCIHandler.getSupportedLowlevelJobs()` eine Liste aller unterstützten Lowlevel-Jobs in Erfahrung gebracht werden. Zusätzlich gibt diese Methode zu jedem Jobnamen die Versionsnummer zurück, welche für diesen Job von HBCI4Java benutzt werden wird (das hängt von der aktuellen HBCI-Version und dem benutzten Passport ab, kann von außen also nicht direkt beeinflusst werden). In der Ausgabe dieses Tool kann nun nach einem bestimmten Lowlevelnamen eines Jobs und der von HBCI4Java dafür verwendeten Versionsnummer gesucht werden. Ist der entsprechende Eintrag gefunden, so hat man eine Übersicht über alle möglichen Job-Ergebnisdaten und wie oft die jeweiligen Datenelemente in einem Antwortsegment auftreten können. Die gleiche Übersicht erhält man übrigens, wenn man innerhalb der Anwendung die Methode `HBCIHandler.getLowlevelJobResultNames(String)` aufruft, allerdings fehlen in der Ausgabe dieser Methode die Informationen über die möglichen Häufigkeiten der einzelnen Datenelemente, dafür wird hier automatisch die richtige Versionsnummer des Jobs ausgewählt.

### Constructor Summary

Constructors
`ShowLowlevelGVRs()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class org.kapott.hbci.tools.AbstractShowLowlevelData

`displayContentRef, pathWithDot, showData, showData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowLowlevelGVRs

    public ShowLowlevelGVRs()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`